#include <iostream>
#include <iomanip>
#include <limits>

using namespace std;
typedef std::numeric_limits< double > dbl;

int main()
{
    int n;
    cin>>n;
    long long int a[n];
    float b[n];
    for(int i=0;i<n;i++)
        cin>>a[i]>>b[i];
    long double k[n];
    for(int i=0;i<n;i++){
        k[i] = 0;
        for(int j=0;j<n;j++){
            if(b[i]<=b[j]){
                k[i] =(double) k[i] + a[j] * b[i];
            }
        }
    }
    long double maximum = k[0];
    for(int i=1;i<n;i++)
        if(maximum < k[i])
            maximum = k[i];
    maximum *= 0.01;
    cout<<fixed<<setprecision(4)<<maximum;
    return 0;
}